<?php

$seo_enterprise_tp_theme_css = '';

$seo_enterprise_theme_lay = get_theme_mod( 'seo_enterprise_tp_body_layout_settings','Full');
if($seo_enterprise_theme_lay == 'Container'){
$seo_enterprise_tp_theme_css .='body{';
$seo_enterprise_tp_theme_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
$seo_enterprise_tp_theme_css .='}';
$seo_enterprise_tp_theme_css .='@media screen and (max-width:575px){';
$seo_enterprise_tp_theme_css .='body{';
	$seo_enterprise_tp_theme_css .='max-width: 100%; padding-right:0px; padding-left: 0px';
$seo_enterprise_tp_theme_css .='} }';
$seo_enterprise_tp_theme_css .='.scrolled{';
$seo_enterprise_tp_theme_css .='width: auto; left:0; right:0;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_theme_lay == 'Container Fluid'){
$seo_enterprise_tp_theme_css .='body{';
$seo_enterprise_tp_theme_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$seo_enterprise_tp_theme_css .='}';
$seo_enterprise_tp_theme_css .='@media screen and (max-width:575px){';
$seo_enterprise_tp_theme_css .='body{';
	$seo_enterprise_tp_theme_css .='max-width: 100%; padding-right:0px; padding-left:0px';
$seo_enterprise_tp_theme_css .='} }';
$seo_enterprise_tp_theme_css .='.scrolled{';
$seo_enterprise_tp_theme_css .='width: auto; left:0; right:0;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_theme_lay == 'Full'){
$seo_enterprise_tp_theme_css .='body{';
$seo_enterprise_tp_theme_css .='max-width: 100%;';
$seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_scroll_position = get_theme_mod( 'seo_enterprise_scroll_top_position','Right');
if($seo_enterprise_scroll_position == 'Right'){
$seo_enterprise_tp_theme_css .='#return-to-top{';
$seo_enterprise_tp_theme_css .='right: 20px;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_scroll_position == 'Left'){
$seo_enterprise_tp_theme_css .='#return-to-top{';
$seo_enterprise_tp_theme_css .='left: 20px;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_scroll_position == 'Center'){
$seo_enterprise_tp_theme_css .='#return-to-top{';
$seo_enterprise_tp_theme_css .='right: 50%;left: 50%;';
$seo_enterprise_tp_theme_css .='}';
}

// related post
$seo_enterprise_related_post_mob = get_theme_mod('seo_enterprise_related_post_mob', true);
$seo_enterprise_related_post = get_theme_mod('seo_enterprise_remove_related_post', true);
$seo_enterprise_tp_theme_css .= '.related-post-block {';
if ($seo_enterprise_related_post == false) {
    $seo_enterprise_tp_theme_css .= 'display: none;';
}
$seo_enterprise_tp_theme_css .= '}';
$seo_enterprise_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($seo_enterprise_related_post == false || $seo_enterprise_related_post_mob == false) {
    $seo_enterprise_tp_theme_css .= '.related-post-block { display: none; }';
}
$seo_enterprise_tp_theme_css .= '}';

// slider btn
$seo_enterprise_slider_buttom_mob = get_theme_mod('seo_enterprise_slider_buttom_mob', true);
$seo_enterprise_slider_button = get_theme_mod('seo_enterprise_slider_button', true);
$seo_enterprise_tp_theme_css .= '#slider .more-btn {';
if ($seo_enterprise_slider_button == false) {
    $seo_enterprise_tp_theme_css .= 'display: none;';
}
$seo_enterprise_tp_theme_css .= '}';
$seo_enterprise_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($seo_enterprise_slider_button == false || $seo_enterprise_slider_buttom_mob == false) {
    $seo_enterprise_tp_theme_css .= '#slider .more-btn { display: none; }';
}
$seo_enterprise_tp_theme_css .= '}';

//return to header mobile               
$seo_enterprise_return_to_header_mob = get_theme_mod('seo_enterprise_return_to_header_mob', true);
$seo_enterprise_return_to_header = get_theme_mod('seo_enterprise_return_to_header', true);
$seo_enterprise_tp_theme_css .= '.return-to-header{';
if ($seo_enterprise_return_to_header == false) {
    $seo_enterprise_tp_theme_css .= 'display: none;';
}
$seo_enterprise_tp_theme_css .= '}';
$seo_enterprise_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($seo_enterprise_return_to_header == false || $seo_enterprise_return_to_header_mob == false) {
    $seo_enterprise_tp_theme_css .= '.return-to-header{ display: none; }';
}
$seo_enterprise_tp_theme_css .= '}';

//blog description              
$seo_enterprise_mobile_blog_description = get_theme_mod('seo_enterprise_mobile_blog_description', true);
$seo_enterprise_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($seo_enterprise_mobile_blog_description == false) {
    $seo_enterprise_tp_theme_css .= '.blog-description{ display: none; }';
}
$seo_enterprise_tp_theme_css .= '}';

// footerimg
$seo_enterprise_footer_widget_image = get_theme_mod('seo_enterprise_footer_widget_image');
if($seo_enterprise_footer_widget_image != false){
$seo_enterprise_tp_theme_css .='#footer{';
$seo_enterprise_tp_theme_css .='background: url('.esc_attr($seo_enterprise_footer_widget_image).');';
$seo_enterprise_tp_theme_css .='}';
}

//Social icon Font size
$seo_enterprise_social_icon_fontsize = get_theme_mod('seo_enterprise_social_icon_fontsize');
$seo_enterprise_tp_theme_css .='.social-media a i{';
$seo_enterprise_tp_theme_css .='font-size: '.esc_attr($seo_enterprise_social_icon_fontsize).'px;';
$seo_enterprise_tp_theme_css .='}';

// site title and tagline font size option
$seo_enterprise_site_title_font_size = get_theme_mod('seo_enterprise_site_title_font_size', ''); {
$seo_enterprise_tp_theme_css .='.logo h1 a, .logo p a{';
$seo_enterprise_tp_theme_css .='font-size: '.esc_attr($seo_enterprise_site_title_font_size).'px !important;';
$seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_site_tagline_font_size = get_theme_mod('seo_enterprise_site_tagline_font_size', '');{
$seo_enterprise_tp_theme_css .='.logo p{';
$seo_enterprise_tp_theme_css .='font-size: '.esc_attr($seo_enterprise_site_tagline_font_size).'px;';
$seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_related_product = get_theme_mod('seo_enterprise_related_product',true);
if($seo_enterprise_related_product == false){
$seo_enterprise_tp_theme_css .='.related.products{';
	$seo_enterprise_tp_theme_css .='display: none;';
$seo_enterprise_tp_theme_css .='}';
}

//menu font size
$seo_enterprise_menu_font_size = get_theme_mod('seo_enterprise_menu_font_size', '');{
$seo_enterprise_tp_theme_css .='.main-navigation a, .main-navigation li.page_item_has_children:after, .main-navigation li.menu-item-has-children:after{';
	$seo_enterprise_tp_theme_css .='font-size: '.esc_attr($seo_enterprise_menu_font_size).'px;';
$seo_enterprise_tp_theme_css .='}';
}

// menu text transform
$seo_enterprise_menu_text_tranform = get_theme_mod( 'seo_enterprise_menu_text_tranform','');
if($seo_enterprise_menu_text_tranform == 'Uppercase'){
$seo_enterprise_tp_theme_css .='.main-navigation a {';
	$seo_enterprise_tp_theme_css .='text-transform: uppercase;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_text_tranform == 'Lowercase'){
$seo_enterprise_tp_theme_css .='.main-navigation a {';
	$seo_enterprise_tp_theme_css .='text-transform: lowercase;';
$seo_enterprise_tp_theme_css .='}';
}
else if($seo_enterprise_menu_text_tranform == 'Capitalize'){
$seo_enterprise_tp_theme_css .='.main-navigation a {';
	$seo_enterprise_tp_theme_css .='text-transform: capitalize;';
$seo_enterprise_tp_theme_css .='}';
}

//sale position
$seo_enterprise_scroll_position = get_theme_mod( 'seo_enterprise_sale_tag_position','right');
if($seo_enterprise_scroll_position == 'right'){
$seo_enterprise_tp_theme_css .='.woocommerce ul.products li.product .onsale{';
    $seo_enterprise_tp_theme_css .='right: 25px !important;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_scroll_position == 'left'){
$seo_enterprise_tp_theme_css .='.woocommerce ul.products li.product .onsale{';
    $seo_enterprise_tp_theme_css .='left: 25px !important; right: auto !important;';
$seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_woocommerce_sale_font_size = get_theme_mod('seo_enterprise_woocommerce_sale_font_size');
if($seo_enterprise_woocommerce_sale_font_size != false){
    $seo_enterprise_tp_theme_css .='.woocommerce ul.products li.product .onsale, .woocommerce span.onsale{';
        $seo_enterprise_tp_theme_css .='font-size: '.esc_attr($seo_enterprise_woocommerce_sale_font_size).'px;';
    $seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_woocommerce_sale_padding_top_bottom = get_theme_mod('seo_enterprise_woocommerce_sale_padding_top_bottom');
if($seo_enterprise_woocommerce_sale_padding_top_bottom != false){
    $seo_enterprise_tp_theme_css .='.woocommerce ul.products li.product .onsale, .woocommerce span.onsale{';
        $seo_enterprise_tp_theme_css .='padding-top: '.esc_attr($seo_enterprise_woocommerce_sale_padding_top_bottom).'px; padding-bottom: '.esc_attr($seo_enterprise_woocommerce_sale_padding_top_bottom).'px;';
    $seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_woocommerce_sale_padding_left_right = get_theme_mod('seo_enterprise_woocommerce_sale_padding_left_right');
if($seo_enterprise_woocommerce_sale_padding_left_right != false){
    $seo_enterprise_tp_theme_css .='.woocommerce ul.products li.product .onsale, .woocommerce span.onsale{';
        $seo_enterprise_tp_theme_css .='padding-left: '.esc_attr($seo_enterprise_woocommerce_sale_padding_left_right).'px !Important; padding-right: '.esc_attr($seo_enterprise_woocommerce_sale_padding_left_right).'px !important;';
    $seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_woocommerce_sale_border_radius = get_theme_mod('seo_enterprise_woocommerce_sale_border_radius', 100);
if($seo_enterprise_woocommerce_sale_border_radius != false){
    $seo_enterprise_tp_theme_css .='.woocommerce ul.products li.product .onsale, .woocommerce span.onsale{';
        $seo_enterprise_tp_theme_css .='border-radius: '.esc_attr($seo_enterprise_woocommerce_sale_border_radius).'% !important;';
    $seo_enterprise_tp_theme_css .='}';
}

//Font Weight
$seo_enterprise_menu_font_weight = get_theme_mod( 'seo_enterprise_menu_font_weight','');
if($seo_enterprise_menu_font_weight == '100'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 100;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_font_weight == '200'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 200;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_font_weight == '300'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 300;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_font_weight == '400'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 400;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_font_weight == '500'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 500;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_font_weight == '600'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 600;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_font_weight == '700'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 700;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_font_weight == '800'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 800;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_menu_font_weight == '900'){
$seo_enterprise_tp_theme_css .='.main-navigation a{';
    $seo_enterprise_tp_theme_css .='font-weight: 900;';
$seo_enterprise_tp_theme_css .='}';
}

/*------------- Blog Page------------------*/
$seo_enterprise_post_image_round = get_theme_mod('seo_enterprise_post_image_round', 0);
if($seo_enterprise_post_image_round != false){
    $seo_enterprise_tp_theme_css .='.blog .box-image img{';
        $seo_enterprise_tp_theme_css .='border-radius: '.esc_attr($seo_enterprise_post_image_round).'px;';
    $seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_post_image_width = get_theme_mod('seo_enterprise_post_image_width', '');
if($seo_enterprise_post_image_width != false){
    $seo_enterprise_tp_theme_css .='.blog .box-image img{';
        $seo_enterprise_tp_theme_css .='Width: '.esc_attr($seo_enterprise_post_image_width).'px;';
    $seo_enterprise_tp_theme_css .='}';
}

$seo_enterprise_post_image_length = get_theme_mod('seo_enterprise_post_image_length', '');
if($seo_enterprise_post_image_length != false){
    $seo_enterprise_tp_theme_css .='.blog .box-image img{';
        $seo_enterprise_tp_theme_css .='height: '.esc_attr($seo_enterprise_post_image_length).'px;';
    $seo_enterprise_tp_theme_css .='}';
}

// footer widget title font size
$seo_enterprise_footer_widget_title_font_size = get_theme_mod('seo_enterprise_footer_widget_title_font_size', '');{
$seo_enterprise_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
    $seo_enterprise_tp_theme_css .='font-size: '.esc_attr($seo_enterprise_footer_widget_title_font_size).'px;';
$seo_enterprise_tp_theme_css .='}';
}

// Copyright text font size
$seo_enterprise_footer_copyright_font_size = get_theme_mod('seo_enterprise_footer_copyright_font_size', '');{
$seo_enterprise_tp_theme_css .='#footer .site-info p{';
    $seo_enterprise_tp_theme_css .='font-size: '.esc_attr($seo_enterprise_footer_copyright_font_size).'px;';
$seo_enterprise_tp_theme_css .='}';
}

// copyright padding
$seo_enterprise_footer_copyright_top_bottom_padding = get_theme_mod('seo_enterprise_footer_copyright_top_bottom_padding', '');
if ($seo_enterprise_footer_copyright_top_bottom_padding !== '') { 
    $seo_enterprise_tp_theme_css .= '.site-info {';
    $seo_enterprise_tp_theme_css .= 'padding-top: ' . esc_attr($seo_enterprise_footer_copyright_top_bottom_padding) . 'px;';
    $seo_enterprise_tp_theme_css .= 'padding-bottom: ' . esc_attr($seo_enterprise_footer_copyright_top_bottom_padding) . 'px;';
    $seo_enterprise_tp_theme_css .= '}';
}

// copyright position
$seo_enterprise_copyright_text_position = get_theme_mod( 'seo_enterprise_copyright_text_position','Center');
if($seo_enterprise_copyright_text_position == 'Center'){
$seo_enterprise_tp_theme_css .='#footer .site-info p{';
$seo_enterprise_tp_theme_css .='text-align:center;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_copyright_text_position == 'Left'){
$seo_enterprise_tp_theme_css .='#footer .site-info p{';
$seo_enterprise_tp_theme_css .='text-align:left;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_copyright_text_position == 'Right'){
$seo_enterprise_tp_theme_css .='#footer .site-info p{';
$seo_enterprise_tp_theme_css .='text-align:right;';
$seo_enterprise_tp_theme_css .='}';
}

// Header Image title font size
$seo_enterprise_header_image_title_font_size = get_theme_mod('seo_enterprise_header_image_title_font_size', '40');{
$seo_enterprise_tp_theme_css .='.box-text h2{';
    $seo_enterprise_tp_theme_css .='font-size: '.esc_attr($seo_enterprise_header_image_title_font_size).'px;';
$seo_enterprise_tp_theme_css .='}';
}

// header
$seo_enterprise_slider_arrows = get_theme_mod('seo_enterprise_slider_arrows',true);
if($seo_enterprise_slider_arrows == false){
$seo_enterprise_tp_theme_css .='.page-template-front-page .headerbox{';
    $seo_enterprise_tp_theme_css .='position:static; background:#344CB7;';
$seo_enterprise_tp_theme_css .='}';
}

/*--------------------------- banner image Opacity -------------------*/
    $seo_enterprise_theme_lay = get_theme_mod( 'seo_enterprise_header_banner_opacity_color','0.5');
        if($seo_enterprise_theme_lay == '0'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.1'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.1';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.2'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.2';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.3'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.3';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.4'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.4';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.5'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.5';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.6'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.6';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.7'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.7';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.8'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.8';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '0.9'){
            $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
                $seo_enterprise_tp_theme_css .='opacity:0.9';
            $seo_enterprise_tp_theme_css .='}';
        }else if($seo_enterprise_theme_lay == '1'){
            $seo_enterprise_tp_theme_css .='#slider img{';
                $seo_enterprise_tp_theme_css .='opacity:1';
            $seo_enterprise_tp_theme_css .='}';
        }

    $seo_enterprise_header_banner_image_overlay = get_theme_mod('seo_enterprise_header_banner_image_overlay', true);
    if($seo_enterprise_header_banner_image_overlay == false){
        $seo_enterprise_tp_theme_css .='.single-page-img, .featured-image{';
            $seo_enterprise_tp_theme_css .='opacity:1;';
        $seo_enterprise_tp_theme_css .='}';
    }

    $seo_enterprise_header_banner_image_ooverlay_color = get_theme_mod('seo_enterprise_header_banner_image_ooverlay_color', true);
    if($seo_enterprise_header_banner_image_ooverlay_color != false){
        $seo_enterprise_tp_theme_css .='.box-image-page{';
            $seo_enterprise_tp_theme_css .='background-color: '.esc_attr($seo_enterprise_header_banner_image_ooverlay_color).';';
        $seo_enterprise_tp_theme_css .='}';
    }

    // Slider Height
    $seo_enterprise_slider_img_height      = get_theme_mod('seo_enterprise_slider_img_height');
    $seo_enterprise_slider_img_height_resp = get_theme_mod('seo_enterprise_slider_img_height_responsive');

    // Desktop height
    $seo_enterprise_tp_theme_css .= '@media screen and (min-width: 768px) {';
    $seo_enterprise_tp_theme_css .= '#slider {';
    if ( $seo_enterprise_slider_img_height ) {
        $seo_enterprise_tp_theme_css .= 'height: ' . esc_attr( $seo_enterprise_slider_img_height ) . ';';
    }
    $seo_enterprise_tp_theme_css .= 'width: 100%;';
    $seo_enterprise_tp_theme_css .= '}';
    $seo_enterprise_tp_theme_css .= '}';

    //First Cap ( Blog Post )
    $seo_enterprise_show_first_caps = get_theme_mod('seo_enterprise_show_first_caps', 'false');
    if($seo_enterprise_show_first_caps == 'true' ){
    $seo_enterprise_tp_theme_css .='.blog .page-box p:nth-of-type(1)::first-letter{';
    $seo_enterprise_tp_theme_css .=' font-size: 55px; font-weight: 600;';
    $seo_enterprise_tp_theme_css .=' margin-right: 6px;';
    $seo_enterprise_tp_theme_css .=' line-height: 1;';
    $seo_enterprise_tp_theme_css .='}';
    }elseif($seo_enterprise_show_first_caps == 'false' ){
    $seo_enterprise_tp_theme_css .='.blog .page-box p:nth-of-type(1)::first-letter {';
    $seo_enterprise_tp_theme_css .='display: none;';
    $seo_enterprise_tp_theme_css .='}';
    }

    // Menu hover effect
    $seo_enterprise_menus_item = get_theme_mod( 'seo_enterprise_menus_item_style','None');
    if($seo_enterprise_menus_item == 'None'){
        $seo_enterprise_tp_theme_css .='.main-navigation a:hover{';
            $seo_enterprise_tp_theme_css .='';
        $seo_enterprise_tp_theme_css .='}';
    }else if($seo_enterprise_menus_item == 'Zoom In'){
        $seo_enterprise_tp_theme_css .='.main-navigation a:hover{';
            $seo_enterprise_tp_theme_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
        $seo_enterprise_tp_theme_css .='}';
    }

    // footer widget letter case
$seo_enterprise_footer_widget_title_text_tranform = get_theme_mod( 'seo_enterprise_footer_widget_title_text_tranform','');
if($seo_enterprise_footer_widget_title_text_tranform == 'Uppercase'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='text-transform: uppercase;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_text_tranform == 'Lowercase'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='text-transform: lowercase;';
$seo_enterprise_tp_theme_css .='}';
}
else if($seo_enterprise_footer_widget_title_text_tranform == 'Capitalize'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='text-transform: capitalize;';
$seo_enterprise_tp_theme_css .='}';
}

//Footer Font Weight
$seo_enterprise_footer_widget_title_font_weight = get_theme_mod( 'seo_enterprise_footer_widget_title_font_weight','');
if($seo_enterprise_footer_widget_title_font_weight == '100'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 100;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_font_weight == '200'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 200;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_font_weight == '300'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 300;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_font_weight == '400'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 400;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_font_weight == '500'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 500;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_font_weight == '600'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 600;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_font_weight == '700'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 700;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_font_weight == '800'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 800;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_font_weight == '900'){
$seo_enterprise_tp_theme_css .='#footer h2, #footer h3, #footer h1.wp-block-heading, #footer h2.wp-block-heading, #footer h3.wp-block-heading, #footer h4.wp-block-heading, #footer h5.wp-block-heading, #footer h6.wp-block-heading {';
    $seo_enterprise_tp_theme_css .='font-weight: 900;';
$seo_enterprise_tp_theme_css .='}';
}

// footer widget position
$seo_enterprise_footer_widget_title_position = get_theme_mod( 'seo_enterprise_footer_widget_title_position','');
if($seo_enterprise_footer_widget_title_position == 'Right'){
$seo_enterprise_tp_theme_css .='#footer aside.widget-area{';
$seo_enterprise_tp_theme_css .='text-align: right;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_position == 'Left'){
$seo_enterprise_tp_theme_css .='#footer aside.widget-area{';
$seo_enterprise_tp_theme_css .='text-align: left;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_widget_title_position == 'Center'){
$seo_enterprise_tp_theme_css .='#footer aside.widget-area{';
$seo_enterprise_tp_theme_css .='text-align: center;';
$seo_enterprise_tp_theme_css .='}';
}